LibreOffice: NameClashResolveRequest Exception Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
NameClashResolveRequest Exception Referencepublished

This request is used to indicate a name clash. More...

`import "NameClashResolveRequest.idl";`

Inheritance diagram for NameClashResolveRequest:

## Public Attributes
string | TargetFolderURL
| contains the URL of the folder that contains the clashing resource.
string | ClashingName
| contains the clashing name.
string | ProposedNewName
| contains a proposal for a new, non-clashing name.
Public Attributes inherited from ClassifiedInteractionRequest
com::sun::star::task::InteractionClassification | Classification
| The classification of the request.
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

This request is used to indicate a name clash.

For example, when copying a file there might be another file in the target folder that has the same file name as the source file.

If this exception is passed to an com::sun::star::task::XInteractionHandler an XInteractionSupplyName and an XInteractionReplaceExistingData should be supplied with the com::sun::star::task::XInteractionRequest. On return the XInteractionSupplyName, if selected, will contain a new name supposed to resolve the name clash. The XInteractionReplaceExistingData will be selected if the clashing resource shall be overwritten.

Version
  1.0

## Member Data Documentation

## ◆ ClashingName

string ClashingName

contains the clashing name.

## ◆ ProposedNewName

string ProposedNewName

contains a proposal for a new, non-clashing name.

This field may be left empty if the implementation is not able to suggest a new name.

## ◆ TargetFolderURL

string TargetFolderURL

contains the URL of the folder that contains the clashing resource.

The documentation for this exception was generated from the following file:

- com/sun/star/ucb/NameClashResolveRequest.idl